/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 * 
 * Copyright (C) 2004 - 2012 CASSIDIAN, an EADS company
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 */

package org.ow2.weblab.core.extended.factory;

import org.ow2.weblab.core.model.LowLevelDescriptor;
import org.ow2.weblab.core.model.Resource;


/**
 * @see WebLabResourceFactory
 * @author Cassidian WebLab Team
 * @date 2008-04-11
 * @deprecated Use the WebLabResourceFactory instead
 */
@Deprecated
public final class LowLevelDescriptorFactory extends AbstractFactory {


	/**
	 * Constructors
	 * Do not use it.
	 */
	private LowLevelDescriptorFactory() {
		throw new UnsupportedOperationException("This class only contains static methods; no need to instantiate it.");
	}


	/**
	 * @param res
	 *            The resource on which to create a LowLevelDetector
	 * @see WebLabResourceFactory#createAndLinkLowLevelDescriptor(Resource)
	 * @deprecated Use the WebLabResourceFactory instead
	 * @return The created LowLevelDescriptor
	 */
	@Deprecated
	public static LowLevelDescriptor createAndLinkLowLevelDescriptor(final Resource res) {
		return WebLabResourceFactory.createAndLinkLowLevelDescriptor(res);
	}


}
